<?php
include_once '../../config/headers.php';
require '../verificar_token.php';

// Verifica el token y obtiene el user_id
$user_id = verificarToken();

// Lee el ID del banner a eliminar desde la solicitud
$input = json_decode(file_get_contents("php://input"), true);
$banner_id = $input['id'] ?? null;

// Valida que el ID esté presente
if (!$banner_id) {
    http_response_code(400);
    echo json_encode(["message" => "ID del banner no proporcionado"]);
    exit;
}

try {
    // Elimina el registro en la base de datos
    $deleteQuery = $db->prepare("DELETE FROM blog WHERE id = :id");
    $deleteQuery->bindParam(":id", $banner_id, PDO::PARAM_INT);

    if ($deleteQuery->execute()) {
        echo json_encode(["message" => "Banner eliminado correctamente"]);
    } else {
        throw new Exception("Error al eliminar el banner de la base de datos");
    }
} catch (Exception $e) {
    http_response_code(500);
    echo json_encode(["message" => $e->getMessage()]);
}
