<?php
include_once '../../config/headers.php';
require '../verificar_token.php';

$user_id = verificarToken();


// Obtener el ID de la URL
$id = isset($_GET['id']) ? $_GET['id'] : null;

if ($id) {
    // Preparar la consulta para obtener los datos del registro con el ID especificado
    $query = $db->prepare("SELECT * FROM blog WHERE id = :id LIMIT 1");
    $query->bindParam(':id', $id, PDO::PARAM_INT);

    try {
        // Ejecutar la consulta
        $query->execute();
        $result = $query->fetch(PDO::FETCH_ASSOC);

        if ($result) {
            // Si se encuentra el registro, devolverlo en formato JSON
            echo json_encode($result);
        } else {
            // Si no se encuentra el registro, devolver un mensaje de error
            echo json_encode(["success" => false, "message" => "Registro no encontrado."]);
        }
    } catch (Exception $e) {
        http_response_code(500);
        echo json_encode(["success" => false, "message" => "Error al acceder a la base de datos: " . $e->getMessage()]);
    }
} else {
    // Si no se proporciona un ID, devolver un mensaje de error
    echo json_encode(["success" => false, "message" => "ID no proporcionado."]);
}
