<?php
include_once '../../config/headers.php';
require '../verificar_token.php';

$user_id = verificarToken();

try {
    // Preparar la consulta de actualización o inserción en la base de datos
    $query = $db->prepare("
        UPDATE contact_info 
        SET 
            tech_support_email = :techSupportEmail, 
            job_opportunities_email = :jobOpportunitiesEmail, 
            info_email = :infoEmail, 
            warranty_email = :warrantyEmail, 
            complaints_email = :complaintsEmail 
        WHERE id = 1
    ");

    // Asignar valores o NULL si están vacíos
    $query->bindValue(":techSupportEmail", !empty($_POST['techSupportEmail']) ? $_POST['techSupportEmail'] : '', PDO::PARAM_STR);
    $query->bindValue(":jobOpportunitiesEmail", !empty($_POST['jobOpportunitiesEmail']) ? $_POST['jobOpportunitiesEmail'] : '', PDO::PARAM_STR);
    $query->bindValue(":infoEmail", !empty($_POST['infoEmail']) ? $_POST['infoEmail'] : '', PDO::PARAM_STR);
    $query->bindValue(":warrantyEmail", !empty($_POST['warrantyEmail']) ? $_POST['warrantyEmail'] : '', PDO::PARAM_STR);
    $query->bindValue(":complaintsEmail", !empty($_POST['complaintsEmail']) ? $_POST['complaintsEmail'] : '', PDO::PARAM_STR);

    if ($query->execute()) {
        echo json_encode(["message" => "Datos de contacto actualizados correctamente."]);
    } else {
        http_response_code(500);
        echo json_encode(["message" => "Error al actualizar los datos de contacto."]);
    }
} catch (Exception $e) {
    http_response_code(500);
    echo json_encode(["message" => $e->getMessage()]);
}
