<?php
include_once '../config/headers.php';

require realpath(__DIR__ . '/../') . '/vendor/autoload.php';

$dotenv = Dotenv\Dotenv::createImmutable(realpath(__DIR__ . '/../'));
$dotenv->load();

use \Firebase\JWT\JWT;

//Conexión a la base de datos
include_once '../config/database.php';
include_once '../class/employees.php';

$database = new Database();
$db = $database->getConnection();

// Datos de la solicitud

$input = json_decode(file_get_contents("php://input"), true);
if (!$input) {
    http_response_code(401);
    echo json_encode(["message" => "Credenciales incorrectas"]);
    die();
}
$username = $input['username'];
$password = $input['password'];



// Busca al usuario en la base de datos
$query = $db->prepare("SELECT id, password FROM user WHERE username = :username");
$query->bindParam(":username", $username);
$query->execute();
$user = $query->fetch(PDO::FETCH_ASSOC);

if ($user && $password == $user['password']) {
    // El usuario existe y la contraseña es correcta, genera el JWT
    $key = "tu_clave_secreta";  // Clave secreta para firmar el token, mantenla segura
    $payload = [
        "iss" => $_ENV['EMISOR_ENV'],      // Emisor
        "aud" => $_ENV['AUDIENCIA_ENV'],    // Audiencia
        "iat" => time(),            // Tiempo de creación
        "exp" => time() + (60 * 60 * 12), // Expira en 12 hora (60 * 60 * 1)
        "user_id" => $user['id']    // El ID del usuario obtenido de la base de datos
    ];

    // Genera el token
    $jwt = JWT::encode($payload, $key, 'HS256');

    // Devuelve el token en la respuesta
    echo json_encode(["token" => $jwt]);
} else {
    // Credenciales incorrectas
    http_response_code(401);
    echo json_encode(["message" => "Credenciales incorrectas"]);
}
