<?php
include_once '../../config/headers.php'; // Incluye la configuración de la base de datos
require '../verificar_token.php'; // Verifica el token para autenticar al usuario

// Verifica el token y obtiene el user_id
$user_id = verificarToken();

// Obtener el método de la solicitud
$method = $_SERVER['REQUEST_METHOD'];

if ($method === 'POST') {
    // Recuperar datos de la solicitud
    $textoDebajo = isset($_POST['slideText']) ? $_POST['slideText'] : null;
    $titulo = isset($_POST['titulo']) ? $_POST['titulo'] : null;
    $tituloVideo = isset($_POST['tituloVideo']) ? $_POST['tituloVideo'] : null;
    
    // Validar que los datos necesarios estén presentes
    if ($textoDebajo || $titulo) {
        $query = "UPDATE home_slide_text 
                  SET texto_debajo = :textoDebajo, titulo = :titulo, tituloVideo = :tituloVideo 
                  WHERE idhome_slide_text = 1";
    
        $stmt = $db->prepare($query);
    
        // Vincular parámetros solo si están presentes
        $stmt->bindValue(':textoDebajo', $textoDebajo);
        $stmt->bindValue(':titulo', $titulo);
        $stmt->bindValue(':tituloVideo', $tituloVideo);

    
        // Ejecutar la consulta
        if ($stmt->execute()) {
            echo json_encode(['success' => true, 'message' => 'Slide actualizado con éxito.']);
        } else {
            http_response_code(500);
            echo json_encode(['success' => false, 'message' => 'Error al actualizar el slide.']);
        }
    } else {
        http_response_code(400);
        echo json_encode(['success' => false, 'message' => 'Datos incompletos.']);
    }
} else {
    // Método no permitido
    http_response_code(405);
    echo json_encode(['success' => false, 'message' => 'Método no permitido.']);
}

// Cerrar la conexión a la base de datos
$db = null;
