<?php
include_once '../../config/headers.php';
require '../verificar_token.php';

// Verifica el token del usuario
$user_id = verificarToken();

// Consulta para obtener todos los registros de marcas
$query = $db->prepare("SELECT * FROM marca ORDER BY created_at DESC"); // Ordenar por fecha de creación

try {
    // Ejecutar la consulta
    $query->execute();
    $result = $query->fetchAll(PDO::FETCH_ASSOC);

    // Verificar si se encontraron registros
    if ($result) {
        echo json_encode(["success" => true, "data" => $result]);
    } else {
        echo json_encode(["success" => false, "message" => "No se encontraron registros."]);
    }
} catch (Exception $e) {
    http_response_code(500);
    echo json_encode(["success" => false, "message" => "Error al acceder a la base de datos: " . $e->getMessage()]);
}
