<?php
include_once '../../config/headers.php';
require '../verificar_token.php';

$user_id = verificarToken();

$id = isset($_GET['id']) ? intval($_GET['id']) : null;

if ($id === null) {
    http_response_code(400);
    echo json_encode(["success" => false, "message" => "ID de producto no proporcionado."]);
    exit;
}

try {
    // Obtener datos de la producto
    $query = $db->prepare("SELECT * FROM productos WHERE id = :id");
    $query->bindParam(':id', $id, PDO::PARAM_INT);
    $query->execute();

    $producto = $query->fetch(PDO::FETCH_ASSOC);

    if (!$producto) {
        http_response_code(404);
        echo json_encode(["success" => false, "message" => "Producto no encontrado."]);
        exit;
    }

    // Obtener imagenes de la s
    $query = $db->prepare("SELECT * FROM imagenes WHERE producto_id = :producto_id");
    $query->bindParam(':producto_id', $id, PDO::PARAM_INT);
    $query->execute();
    $imagenes = $query->fetchAll(PDO::FETCH_ASSOC);

    // Obtener imagenes_pequenas de la producto
    $query = $db->prepare("SELECT * FROM imagenes_pequenas WHERE producto_id = :producto_id");
    $query->bindParam(':producto_id', $id, PDO::PARAM_INT);
    $query->execute();
    $imagenes_pequenas = $query->fetchAll(PDO::FETCH_ASSOC);

    // Combinar datos
    $producto['imagenes'] = $imagenes;
    $producto['imagenes_pequenas'] = $imagenes_pequenas;

    echo json_encode(["success" => true, "data" => $producto]);
} catch (PDOException $e) {
    http_response_code(500);
    echo json_encode(["success" => false, "message" => "Error en el servidor: " . $e->getMessage()]);
}
