<?php
header("Content-Type: application/json; charset=UTF-8");
require realpath(__DIR__ . '/../') . '/vendor/autoload.php';

use \Firebase\JWT\JWT;
use Firebase\JWT\Key;


//Conexión a la base de datos
include_once '../../config/database.php';
$database = new Database();
$db = $database->getConnection();

function verificarToken()
{
    $key = "tu_clave_secreta";  // Debe coincidir con la clave secreta del paso anterior
    $headers = getallheaders();
    //var_dump($headers);
    //die();
    if (isset($headers['Authorization'])) {
        $token = str_replace("Bearer ", "", $headers['Authorization']);

        try {
            // Decodifica el token
            //$decoded = JWT::decode($token, $key, ["HS256"]);
            $decoded = JWT::decode($token, new Key($key, 'HS256'));

            return $decoded->user_id; // Retorna el ID del usuario
        } catch (Exception $e) {
            // Token inválido o expirado
            http_response_code(401);
            echo json_encode(["message" => "Token inválido", "code" => 401]);
            exit();
        }
    } else {
        // No hay token en la solicitud
        http_response_code(401);
        echo json_encode(["message" => "No se proporcionó un token", "code" => 401]);
        exit();
    }
}
