<?php
require realpath(__DIR__ . '/../') . '/vendor/autoload.php';

$dotenv = Dotenv\Dotenv::createImmutable(realpath(__DIR__ . '/../'));
$dotenv->load();
class Database
{
    private $host;
    private $database_name;
    private $username;
    private $password;

    public $conn;

    public function __construct()
    {
        // Establece las variables de conexión según el entorno
        $this->host = $_ENV['DB_HOST'];
        $this->database_name = $_ENV['DB_NAME'];
        $this->username = $_ENV['DB_USER'];
        $this->password = $_ENV['DB_PASS'];
    }

    public function getConnection()
    {
        $this->conn = null;
        try {
            $this->conn = new PDO("mysql:host=" . $this->host . ";dbname=" . $this->database_name, $this->username, $this->password);
            $this->conn->exec("set names utf8");
        } catch (PDOException $exception) {
            echo "Database could not be connected: " . $exception->getMessage();
        }
        return $this->conn;
    }
}
